﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MC_Launcher_v2.Business.Minecraft.Profiles
{
    public class UserProfile
    {
        #region PROPERTIES
        public string Username { get; set; }
        public string DisplayName { get; set; }
        public string AccessToken { get; set; }
        public string ClientToken { get; set; }
        public string UserID { get; set; }
        public string UUID { get; set; }
        #endregion

        #region CONSTRUCTORS
        public UserProfile()
        {
            Username = "Empty profile";
            DisplayName = AccessToken = ClientToken = UserID = UUID = "";
        }
        #endregion

        public override string ToString()
        {
            return DisplayName;
        }
    }
}
