﻿using MetroFramework.Forms;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MC_Launcher_v2.Presentation
{
    public partial class frmMain : MetroForm
    {
        public frmMain()
        {
            InitializeComponent();
            this.MinimumSize = this.MaximumSize = this.Size;
        }

        private void frmMain_Shown(object sender, EventArgs e)
        {
            pnlLogin login = new pnlLogin();
            this.Controls.Add(login);
            login.UserProfiles = Launcher.UserProfiles;
            login.Dock = DockStyle.Fill;
            login.SuccessfullLogin += (s, eargs) => 
            {
                if (!Launcher.UserProfiles.Contains(login.SelectedProfile))
                {
                    Launcher.UserProfiles.RemoveAll(x => x.Username == login.SelectedProfile.Username);
                    Launcher.UserProfiles.Add(login.SelectedProfile);
                    Launcher.SaveUserProfiles();
                }
                Launcher.SelectedUserProfile = login.SelectedProfile;
                this.Controls.Remove(login);
                pnlMain main = new pnlMain();
                this.Controls.Add(main);
                main.Dock = DockStyle.Fill;
                main.GameStarted += (s2, eargs2) =>
                {
                    this.Close();
                };
            };
        }
    }
}
